Update Release Groups Policies
https://app.fossa.com/api/v2/release-groups/policyUpdate a policy for one to many release groups.
Query parameters
policyIdnumberrequiredThe ID of the policy you want to apply to projects.
idsenum | number[]The list of IDs for the release groups to update. If "all" is provided, then all release groups that meet the provided filters will have the policy applied. If omitted, the release groups are selected by the supplied filter params (`title`, `latestScan`, `teamId`); at least one filter must then be provided.
titlestringFilter by release group name.
teamIdstring | number[]Filter by one or more team IDs. Providing "null" will return all unassigned release groups.
latestScanintegerFilter by last policy scan within N days.
Responses
200OK403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
PUT https://app.fossa.com/api/v2/release-groups/policycurl --request PUT \ --url 'https://app.fossa.com/api/v2/release-groups/policy' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Query params
policyIdnumberrequiredThe ID of the policy you want to apply to projects.
idsstringThe list of IDs for the release groups to update. If "all" is provided, then all release groups that meet the provided filters will have the policy applied. If omitted, the release groups are selected by the supplied filter params (`title`, `latestScan`, `teamId`); at least one filter must then be provided.
titlestringFilter by release group name.
teamIdstringFilter by one or more team IDs. Providing "null" will return all unassigned release groups.
latestScanintegerFilter by last policy scan within N days.